hybridauth не удается подключить вконтакте

собственно вот такая вот проблема.
в настройках системы:
ключ и имя: ha.keys.Vkontakte
значение: {«id»:«ид_приложения»,«secret»:«защищенный_ключ»}
Хотя я даже не уверен, что именно ид приложения и защищенный ключ и надо вписывать, так как не нашел пример для вконтакте.

Вызывается следующим образом: [[!HybridAuth? &providers=`Vkontakte,Odnoklassniki,Yandex,Google,Twitter,facebook*` &loginTpl=`ha_login` &logoutTpl=`ha_logout` &profileTpl=`ha_profile`]]
И тут тоже не все ясно. Влияет ли остутствие в настройках пары значений для остальных сервисов на работоспособность расширения?

При
ini_set('display_errors', 1);
ini_set('error_reporting', -1);

выдает следующее:

Notice: Undefined index: providers in www/core/components/hybridauth/model/hybridauth/hybridauth.class.php on line 57

Catchable fatal error: Argument 1 passed to xPDOObject::load() must be an instance of xPDO, instance of modX given in www/core/xpdo/om/xpdoobject.class.php on line 404
Валерий Кондратьев
22 января 2013, 12:06
modx.pro
1 280
0

Комментарии: 2

Василий Наумкин
22 января 2013, 17:55
0
У меня Вконтакте работает, ошибок нет.

Массив действительно такой:
{"id":"12345","secret":"qewgf9876N"}

Вызываю так:
[[!HybridAuth?
    &providers=`Yandex,Google,Twitter,Facebook,Vkontakte`
    &groups=`Users`
]]

Советую проверить на чистом сайте на modx-test.com
    Валерий Кондратьев
    22 января 2013, 18:07
    0
    спасибо за ответ. на тестовом сайте все работает хорошо. буду искать ошибки :)
    Авторизуйтесь или зарегистрируйтесь, чтобы оставлять комментарии.
    2